summaryrefslogtreecommitdiff
path: root/redcorelive.initd
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-05-29 18:39:23 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-05-29 18:39:23 +0100
commit7075a175aa176edbf57bc396f5571cd836e9879d (patch)
tree440c12f7b54a6093f1a0ef42d4156f0c5e340b66 /redcorelive.initd
parent27e91ccadc027a352548386b639aa5b475dedcf7 (diff)
add openrc support
Diffstat (limited to 'redcorelive.initd')
-rw-r--r--redcorelive.initd14
1 files changed, 14 insertions, 0 deletions
diff --git a/redcorelive.initd b/redcorelive.initd
new file mode 100644
index 0000000..21ff75c
--- /dev/null
+++ b/redcorelive.initd
@@ -0,0 +1,14 @@
+#!/sbin/openrc-run
+# Copyright 2017 Redcore Linux Project
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ after localmount
+ before keymaps
+}
+
+start() {
+ ebegin "Setting up live user"
+ /usr/libexec/redcorelive-openrc.sh
+ eend $?
+}